SACN::Receiver Class Reference

The Receiver class. More...

`#include <receiver.h>`

Inheritance diagram for SACN::Receiver:
[legend]

## Public Member Functions

| Receiver (UUID::uuid=UUID::uuid())
| Receiver::Receiver. More...
| ~Receiver ()
| Receiver::~Receiver.
virtual void | subscribe (const uint16_t)
| Receiver::subscribe. More...
virtual void | unsubscribe (const uint16_t)
| Receiver::unsubscribe. More...
Universe * | universe (const uint16_t)
| Receiver::universe. More...
void | discoveryStart ()
| Receiver::discoveryStart.
void | discoveryStop ()
| Receiver::discoveryStop.
void | onDiscovered (const EXTENDED::DISCOVERY::Watcher)
| Receiver::onDiscovered. More...
Public Member Functions inherited from ACN::RLP::Component
| Component (UUID::uuid=UUID::uuid())
| Component::Component. More...
virtual void | UdpPayloadReceiver (PDU::Stream)
| Component::UdpPayloadReceiver. More...
virtual void | TcpPacketReceiver (PDU::Stream)
| Component::TcpPacketReceiver. More...
Public Member Functions inherited from ACN::Component
| Component (UUID::uuid cid=UUID::uuid())
| Component. More...
const UUID::uuid | cid () const
| cid More...
const std::string | fixedName () const
| fixedName fixed component name More...
const std::string | userName () const
| userName user-asigned name More...
const std::string | name () const
| component name, either user asigned or fixed. More...
void | assignUserName (const std::string s)
| set the user asigned name More...

## Protected Member Functions

void | dataReceiver (ACN::PDU::Message< ACN::RLP::Pdu >)
| Receiver::dataReceiver - dispatcher of RLP DATA PDU. More...
void | extendedReceiver (ACN::PDU::Message< ACN::RLP::Pdu >)
| Receiver::extendedReceiver - dispatcher of RLP EXTENDED PDU. More...
void | dataFrameHandler (ACN::PDU::Message< DATA::Pdu >)
| Receiver::dataFrameHandler. More...
void | syncFrameHandler (ACN::PDU::Message< EXTENDED::Pdu >)
| Receiver::syncFrameHandler. More...
void | discoveryFrameHandler (ACN::PDU::Message< EXTENDED::Pdu >)
| Receiver::discoveryFrameHandler. More...
void | discoveryListHanlder (ACN::PDU::Message< EXTENDED::DISCOVERY::Pdu >)
| Receiver::discoveryListHanlder. More...
Protected Member Functions inherited from ACN::RLP::Component
void | RlpReceiver (PDU::Message< RLP::Pdu >)
| Component::RlpReceiver. More...
void | RlpRegisterVector (uint32_t, PDU::Handler< RLP::Pdu >)
| Component::RlpRegisterVectorHandler. More...

## Additional Inherited Members

Protected Attributes inherited from ACN::Component
std::string | fctn_
| EPI 19: ACN Discovery on IP Networks. More...
std::string | uacn_
| 3.2. More...

## Detailed Description

The Receiver class.

## Constructor & Destructor Documentation

## Receiver()

SACN::Receiver::Receiver | ( | UUID::uuid | cid = `UUID::uuid()` | ) |

Receiver::Receiver.

Parameters

  cid | Constructor. Register RLP vector callbacks.

Here is the call graph for this function:

## Member Function Documentation

## dataFrameHandler()

void SACN::Receiver::dataFrameHandler | ( | ACN::PDU::Message< DATA::Pdu > | frame | ) |

protected

Receiver::dataFrameHandler.

Parameters

  frame | Receive `VECTOR_ROOT_E131_DATA -> VECTOR_E131_DATA_PACKET` vector'd packets.

Merging will be based on frame header. PDU data will be read as a block of DMP PDUs and passed to the universe.

6.2.3 E1.31 Data Packet: Priority No priority outside the range of 0 to 200 shall be transmitted on the network.

6.2.6 E1.31 Data Packet: Options Preview_Data: Bit 7 (most significant bit) This bit, when set to 1, indicates that the data in this packet is intended for use in visualization or media server preview applications and shall not be used to generate live output.

6.2.6 E1.31 Data Packet: Options Stream_Terminated: Bit 6 allow E1.31 sources to terminate transmission of a stream or of universe synchronization without waiting for a timeout to occur. Any property values in an E1.31 Data Packet containing this bit shall be ignored.

6.2.4.1 Synchronization Address Usage in an E1.31 Data Packet a value of 0 in the Synchronization Address indicates that the universe data is not synchronized.

7.2 DMP Layer: Vector The DMP Layer's Vector shall be set to VECTOR_DMP_SET_PROPERTY, which indicates a DMP Set Property message by sources. Receivers shall discard the packet if the received value is not VECTOR_DMP_SET_PROPERTY.

Here is the call graph for this function:
Here is the caller graph for this function:

## dataReceiver()

void SACN::Receiver::dataReceiver | ( | ACN::PDU::Message< ACN::RLP::Pdu > | root | ) |

protected

Receiver::dataReceiver - dispatcher of RLP DATA PDU.

Parameters

  root | a shared pointer to the PDU

Receive VECTOR_ROOT_E131_DATA vector'd packets.

6.2.1 E1.31 Data Packet: Vector Sources sending an E1.31 Data Packet shall set the E1.31 Layer's Vector to VECTOR_E131_DATA_PACKET. This value indicates that the E1.31 framing layer is wrapping a DMP PDU.

Here is the call graph for this function:
Here is the caller graph for this function:

## discoveryFrameHandler()

void SACN::Receiver::discoveryFrameHandler | ( | ACN::PDU::Message< EXTENDED::Pdu > | frame | ) |

protected

Receiver::discoveryFrameHandler.

Parameters

  frame |

8 Universe Discovery Layer Universe Discovery data only appears in E1.31 Universe Discovery Packets and shall not be included in E1.31 Data Packets or E1.31 Synchronization Packets.

Here is the call graph for this function:
Here is the caller graph for this function:

## discoveryListHanlder()

void SACN::Receiver::discoveryListHanlder | ( | ACN::PDU::Message< EXTENDED::DISCOVERY::Pdu > | pdu | ) |

protected

Receiver::discoveryListHanlder.

Parameters

  pdu |

Here is the caller graph for this function:

## extendedReceiver()

void SACN::Receiver::extendedReceiver | ( | ACN::PDU::Message< ACN::RLP::Pdu > | root | ) |

protected

Receiver::extendedReceiver - dispatcher of RLP EXTENDED PDU.

Parameters

  root | a shared pointer to the PDU

Receive VECTOR_ROOT_E131_EXTENDED vector'd packets.

6.3 E1.31 Synchronization Packet Framing Layer

6.4 E1.31 Universe Discovery Packet Framing Layer

Here is the call graph for this function:
Here is the caller graph for this function:

## onDiscovered()

void SACN::Receiver::onDiscovered | ( | const EXTENDED::DISCOVERY::Watcher | cb | ) |

Receiver::onDiscovered.

Parameters

  cb | something that wants to know about available universes.

## subscribe()

void SACN::Receiver::subscribe | ( | const uint16_t | num | ) |

virtual

Receiver::subscribe.

Parameters

  num |

Here is the caller graph for this function:

## syncFrameHandler()

void SACN::Receiver::syncFrameHandler | ( | ACN::PDU::Message< EXTENDED::Pdu > | frame | ) |

protected

Receiver::syncFrameHandler.

Parameters

  frame |

Here is the caller graph for this function:

## universe()

Universe * SACN::Receiver::universe | ( | const uint16_t | num | ) |

Receiver::universe.

Parameters

  num |

Returns

Here is the caller graph for this function:

## unsubscribe()

void SACN::Receiver::unsubscribe | ( | const uint16_t | num | ) |

virtual

Receiver::unsubscribe.

Parameters

  num |

Here is the caller graph for this function:

The documentation for this class was generated from the following files:

- /home/kevin/Code/viewer/lib/OpenLCP/protocols/sacn/receiver.h
- /home/kevin/Code/viewer/lib/OpenLCP/protocols/sacn/receiver.cpp